
TYPO3.Setup - Bug # 49666

Status: New Priority: Could have
Author: Georg Großberger Category:
Created: 2013-07-04 Assigned To:
Updated: 2014-05-13 Due date:
Subject: Routes not detected
Description

The /setup redirects to /setup/index, the next screen fails with the message no database connection error message.

Adding this to "Configuration/Routes.yaml" helps

-
  name: 'TYPO3NeosSetup'
  uriPattern: '<TYPO3NeosSetupSubroutes>'
  subRoutes:
    TYPO3NeosSetupSubroutes:
      package: TYPO3.Setup

Did not do any tracking on why, but apparently the setup routes are not detected properly.

Related issues:
related to TYPO3.Setup - Bug # 59091: provide functionality if RewriteBase is... New 2014-05-25

History
#1 - 2013-07-11 23:02 - Aske Ertmann
- Priority changed from Should have to Could have
- Target version set to 1.0 beta 1

The setup is not using routes like other controllers. Instead it's hardcoded in a request handler and this is done because we can't rely on proxy building
working as well as other Flow features. Instead the routes are injected directly from it's own Routes.yaml.. it's supposed to redirect from /setup to
/setup/index and if you got a no database connection error message there then something is wrong you your installation in some way. The setup
doesn't use the database until logged in and only for certain steps.

#2 - 2013-12-16 11:01 - Stefan Froemken

I have similar problem. After Authentication, Setup redirects me to Path/index.php/setup/login/authenticate and shows me the database connection
error. I checked canHandlerRequest in Setup and found this:

in_array(substr($_SERVER['REQUEST_URI'], 0, 7), array('/setup/', '/setup?'))

My REQUEST_URI starts with /index.php and NOT with /Setup. So for my request the SetupRequest cannot be resolved and Flow executes standard
httpRequest and that one throws the db-error.

Stefan
#3 - 2014-05-13 09:51 - Hartmann Andreas

I had the same issue running the latest beta of 1.1 and solved it by correction of my nginx vhost configuration:

  fastcgi_param   FLOW_REWRITEURLS       1; 
